%define major	6
%define libname %mklibname sm %{major}
%define devname	%mklibname sm -d

Name:		libsm
Summary: 	X Session Management Library
Version:	1.2.1
Release:	%mkrel 1
Group:		Development/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libSM-%{version}.tar.bz2

BuildRequires:	libice-devel >= 1.0.0
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	x11-xtrans-devel >= 1.0.0

%description
This is the X Session Management Library.

#-----------------------------------------------------------

%package -n %{libname}
Summary:	X Session Management Library
Group:		Development/X11
Provides:	%{name} = %{version}-%{release}
Conflicts:	libxorg-x11 < 7.0

%description -n %{libname}
This is the X Session Management Library.

#-----------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{version}-%{release}
Provides:	libsm-devel = %{version}-%{release}
Obsoletes:	%{_lib}sm6-devel < 1.2.0-3
Obsoletes:	%{_lib}sm6-static-devel < 1.2.0-3
Conflicts:	libxorg-x11-devel < 7.0
Conflicts:	%{libname} < 1.2.0-3

%description -n %{devname}
Development files for %{name}.

#-----------------------------------------------------------

%prep
%setup -q -n libSM-%{version}

%build
%configure2_5x	\
	--x-includes=%{_includedir} \
	--x-libraries=%{_libdir} \
	--without-libuuid \
	--disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

mv %{buildroot}%{_defaultdocdir}/libSM installed-docs

#we don't want these
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%pre -n %{devname}
if [ -h %{_includedir}/X11 ]; then
        rm -f %{_includedir}/X11
fi

%files -n %{devname}
%defattr(-,root,root)
%doc installed-docs/*
%{_libdir}/libSM.so
%{_libdir}/pkgconfig/sm.pc
%{_includedir}/X11/SM/SM.h
%{_includedir}/X11/SM/SMlib.h
%{_includedir}/X11/SM/SMproto.h

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libSM.so.%{major}*


%changelog

* Mon Mar 05 2012 tv <tv> 1.2.1-1.mga2
+ Revision: 218460
- new release

* Fri Dec 16 2011 wally <wally> 1.2.0-4.mga2
+ Revision: 182784
- add back general provides to lib pkg

* Fri Dec 16 2011 wally <wally> 1.2.0-3.mga2
+ Revision: 182640
- remove major from -devel pkg name
- drop .la files
- disable static build
- move docs to -devel pkg

* Sat Jan 08 2011 blino <blino> 1.2.0-2.mga1
+ Revision: 1073
- remove old ldconfig scriptlets
- imported package libsm

